Index: src/vsnprintf.c
===================================================================
--- src/vsnprintf.c	(revision 10206)
+++ src/vsnprintf.c	(working copy)
@@ -28,6 +28,9 @@
 #endif
 
 int fl_vsnprintf(char* buffer, size_t bufsize, const char* format, va_list ap) {
+#ifdef HAVE_VSNPRINTF
+return vsnprintf(buffer, bufsize, format, ap);
+#else
   char		*bufptr,		/* Pointer to position in buffer */
 		*bufend,		/* Pointer to end of buffer */
 		sign,			/* Sign of format width */
@@ -251,6 +254,7 @@
   if (bufptr) *bufptr = '\0';
 
   return (bytes);
+#endif //HAVE_VSNPRINTF
 }
 
 int fl_snprintf(char* str, size_t size, const char* fmt, ...) {
